import { request } from '@umijs/max';

// 分页查询代码配置
export function getCodeConfigListReq(params) {
  return request(`/api/mmp/codeConfig`, {
    method: 'GET',
    params,
  });
}

// 新增代码配置
export function addCodeConfigReq(data) {
  return request(`/api/mmp/codeConfig`, {
    method: 'POST',
    data,
  });
}

// 更新代码配置
export function updateCodeConfigReq(data) {
  return request(`/api/mmp/codeConfig`, {
    method: 'PUT',
    data,
  });
}

// 删除代码配置
export function deleteCodeConfigReq(id) {
  return request(`/api/mmp/codeConfig/${id}`, {
    method: 'DELETE',
  });
}

// 查询代码配置详情
export function getCodeConfigDetailReq(id) {
  return request(`/api/mmp/codeConfig/${id}`, {
    method: 'GET',
  });
}
